Join 34,000+ subscribers and receive articles from our blog about software quality, testing, QA and security.
 

TestRail database upgrade 189 - 190 failing

Hello

I am getting the below error during my database upgrade from 189 - 190.

Applying update 190 …
You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '(6) null,
mode tinyint null,
entity_name varchar(256) null,
P’ at line 8

Hi Gautam,

Thanks for the post! This error message would likely indicate you are using a version of MySQL which is not compatible with the version of TestRail you are upgrading to. With TestRail 5.7, MySQL 5.6 or 5.7 would be required. You can view the full list of latest requirements here.

Hope this helps,
Jon